Bug 174366 - ES4 includes glibc-kernheaders which has the wrong values for the default kernel
ES4 includes glibc-kernheaders which has the wrong values for the default kernel
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc-kernheaders (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-11-28 11:02 EST by Samuel Oosterhuis
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-12 10:01:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Samuel Oosterhuis 2005-11-28 11:02:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
Default install includes:

So there is a 2.6.9 kernel with old headers.  For example:
cat /usr/include/linux/version.h
#define UTS_RELEASE "2.4.20"
#define LINUX_VERSION_CODE 132116
#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))

The implication is that locally compliled packages which depend on LINUX_VERSION_CODE either fail or compile incorrectly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. cat /usr/include/linux/version.h

Actual Results:  Our product depends on this file being correct, as the internal structures in the linux kernel have changed since the 2.4 kernel.

Expected Results:  We should be able to depend on the files in glibc-kernheaders being the correct version.

Additional info:
Comment 1 David Woodhouse 2005-11-28 11:39:32 EST
It should perhaps have been set to 2.6.something before shipping, but
unfortunately it's too late now -- we did try changing it as an experiment but
it broke too much other code.

Code which is depending on this is broken anyway; in RHEL5 we should probably
refrain from shipping linux/version.h altogether.

If you explain what you're trying to do, we can propose a better solution.

Note You need to log in before you can comment on or make changes to this bug.